Bug 4680 - ddd can't start gdb
ddd can't start gdb
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: ddd (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-23 19:35 EDT by John Klingler
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-12 19:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Klingler 1999-08-23 19:35:16 EDT
software:
Red Hat 6.0

DDD 3.1.4 (i686-pc-linux-gnu), Copyright (C) 1999 TU
Braunschweig.
Compiled with GCC egcs-2.91.66 19990314/Linux (egcs-1.1.2
release), GNU libc 2.1
Requires X11R6, Xt11R6, Motif 2.0 (GNU LessTif 0.88 0)
Includes DDD core, manual, app-defaults, XPM 3.4.10, Athena
Panner
Built 1999-04-14 by root <root@porky.devel.redhat.com>.

lesstif-0.88.0-1
motif-2.1.10-1glibc

Here are the error messages:
=======================================================
eng8.jupiter.com:john: ddd
Warning: Cannot allocate colormap entry for "grey"
Warning: Cannot convert string "-dt-interface
user-medium-r-normal-m*-*-*-*-*-*-*-*-*" to type FontStruct
Warning: Cannot allocate colormap entry, some colors may be
incorrect
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-dt-interface
system-medium-r-normal-m*-*-*-*-*-*-*-*-*" to type FontSet
Warning: Cannot find callback list in XtAddCallback
(Annoyed?  Try 'Edit->Preferences->General->Suppress X
Warnings'!)
Warning: Cannot allocate colormap entry for "DarkGreen"
Warning: Cannot allocate colormap entry for "red4"
Warning: Cannot allocate colormap entry for "grey96"
Warning: Cannot allocate colormap entry for "blue4"
Warning: Actions not found: toggle-overstrike
Warning: Actions not found: toggle-overstrike
Warning: Actions not found: toggle-overstrike
Warning: Actions not found: toggle-overstrike
Warning: Actions not found: toggle-overstrike
Warning: Cannot convert string "XmTOGGLE_INDETERMINATE" to
type UnsignedChar
gdb: cannot open /dev/pts/4: Input/output error
gdb: child communication setup failed
=========================================================

There may be some conflict between Motif 2.1 and LessTif
0.88, or between ddd and Motif 2.1. The ddd help message
suggests "changing the .blockTTYInput resource." whatever
that is.
Comment 1 Tim Powers 1999-08-24 09:15:59 EDT
Do you have Motif 2.1 andlesstif both installed? If so, you shouldn't,
they will conflict.

Also, if it can't allocate the color grey, you may need more colors in
X than what you have right now.

What I would recommend you do is to get the lesstif and ddd packages
from rawhide, they have been tested and ddd appears to work. You can
get the lesstif and ddd packages at
ftp://rawhide.redhat.com/rawhide/powertools/ , the packages are in
i386, sparc and alpha, depending on your architecture.

Please note that the ddd package is compiled against the lesstif in
the above directories.

Tim

Note You need to log in before you can comment on or make changes to this bug.